=== debian/changelog ===
gretl (1.9.14-2) unstable; urgency=low

  * debian/control: Renamed Depends: on ttf-freefont to fonts-freefont-ttf
  							(Closes: #738229)
  * debian/control: Also renamed Depends: on ttf-dejavu to fonts-dejavu

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 11 Feb 2014 06:18:57 -0600

gretl (1.9.14-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 21 Nov 2013 17:05:36 -0600

gretl (1.9.13-2) unstable; urgency=low

  * debian/rules: Expand use of autotools-dev to permit builds on AArch64
    with thanks to Matthias Klose			(Closes: #77881)

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 27 Oct 2013 16:31:51 -0500

gretl (1.9.13-1) unstable; urgency=low

  * New upstream release
  
  * debian/control: Updated Build-Depends: on gmp to libgmp-dev
  * debian/control: Add autotools-dev to Build-Depends:
  * debian/rules: Set cflags, cppflags and ldflags via dpkg-buildflags

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 24 Oct 2013 16:37:11 -0500
