=== debian/control ===
Source: gretl
Section: math
Priority: optional
Maintainer: Dirk Eddelbuettel <edd@debian.org>
Standards-Version: 3.9.4
Build-Depends: debhelper (>= 7.0.0), libgtk2.0-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot (>= 4.2), gnuplot-x11 (>= 4.2), libgmp-dev, libaudiofile-dev, libesd0-dev, libfreetype6-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, gfortran, r-base-dev, unixodbc-dev, libgtksourceview2.0-dev, libcurl4-gnutls-dev | libcurl4-dev, autotools-dev

Package: gretl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gretl-common (>= ${source:Version}), gnuplot (>= 4.2)
Recommends: gretl-data, gretl-doc
Description: GNU Regression, Econometric & Time-Series Library
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides the GTK+ client and the command-line client.

Package: libgretl1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends} 
Conflicts: libesl0, libgretl0
Replaces: libesl0, libgretl0
Description: GNU Regression, Econometric & Time-Series Library -- library package 
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides the shared library.

Package: libgretl1-dev
Section: libdevel
Architecture: any
Depends: gretl, libgretl1 (= ${binary:Version}), ${misc:Depends}
Conflicts: libesl0-dev, libgretl0-dev
Replaces: libesl0-dev, libgretl0-dev
Description: GNU Regression, Econometric & Time-Series Library -- development package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides the static library and header files.

Package: gretl-common
Section: math
Architecture: all
Suggests: gretl (>= ${source:Version})
Conflicts: gretl (<= 1.2.2-1)
Replaces: gretl (<= 1.2.2-1)
Depends: fonts-freefont-ttf, fonts-dejavu, ${misc:Depends}
Description: GNU Regression, Econometric & Time-Series Library -- scripts package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides scripts (included in the gretl sources) which are 
 used by the main gretl program.

Package: gretl-data
Section: math
Architecture: all
Depends: gretl (>= ${source:Version}), ${misc:Depends}
Conflicts: gretl (<= 1.2.2-1)
Replaces: gretl (<= 1.2.2-1)
Description: GNU Regression, Econometric & Time-Series Library -- data package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis. The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides data sets (included in the gretl sources) which are 
 used by the main gretl program.

Package: gretl-doc
Section: doc
Architecture: all
Recommends: gretl 
Depends: ${misc:Depends}
Conflicts: gretl (<= 1.2.2-1)
Replaces: gretl (<= 1.2.2-1)
Description: GNU Regression, Econometric & Time-Series Library -- doc package
 The GNU Regression, Econometric and Time-Series Library (gretl) is a
 software package for econometric analysis.  The package comprises a
 shared library, a command-line client program, and a graphical client
 built using GTK+.
 .
 This package provides documentation and examples included in the gretl 
 sources.
