=== debian/watch ===
version=3
http://sf.net/gretl/ gretl-(.+)\.tar\.bz2
