## gretl 1.9.91

=== win32/Makefile ===
--- 
+++ 
@@ -27,30 +27,44 @@
 # libraries
 GTKLIBS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs gtk+-win32-2.0)
 GLIBLIB := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs glib-2.0)
-CLI_LIBS = -lreadline -lhistory
+JSON_LIB = $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs json-glib-1.0)
+RL_LIBS = -lreadline -lhistory
 GUI_LIBS = -lwsock32 -lole32 $(GTKLIBS) -lgtksourceview-2.0 -lxml2.dll -L$(imports)
 GRETLLIB = -L$(imports) -lgretl -lintl
 LIBS = -lm $(GRETLLIB) -ladvapi32
-LAPACK_LIBS = -llapack.dll -lblas.dll
 FFTW_LIBS = -lfftw3
 CURL_LIBS = -lcurl.dll
 
 # flags/defines
 CFLAGS = -I. -I$(libsrcdir) -I$(plugindir) -I$(guidir) -I$(zipdir) -I$(XML2_INC) $(RLIB_CFLAGS) 
-GTK_CFLAGS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --cflags gtk+-win32-2.0 gtksourceview-2.0)
+GTK_CFLAGS := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --cflags gtk+-win32-2.0 gtksourceview-2.0 json-glib-1.0)
 
 ifeq ($(BUILDTYPE),cross)
   GRETL_LANG = cross_lang
+  GRETL_NEWS = cross_news
   BUILDDATE = cross_builddate
 else
   GRETL_LANG = native_lang
+  GRETL_NEWS = native_news
   BUILDDATE = native_builddate
+endif
+
+ifeq ($(have_mpi),yes)
+  MPICLI = gretlmpi.exe
+  MPI_LIB = -lmsmpi
+endif
+
+ifeq ($(use_openblas),yes)
+  LAPACK_LIBS = -lopenblas.dll
+else
+  LAPACK_LIBS = -llapack.dll -lblas.dll
 endif
 
 # source paths
 vpath %.c $(libsrcdir)
 vpath %.c $(topsrc)/cephes
 vpath %.c $(topsrc)/minpack
+vpath %.c $(topsrc)/dcmt
 vpath %.c $(topsrc)/cli
 vpath %.c $(guidir)
 vpath %.c $(plugindir)
@@ -155,7 +169,8 @@
 	plugins/interpolate.dll \
 	plugins/biprobit.dll \
 	plugins/reprobit.dll \
-	plugins/panurc.dll
+	plugins/panurc.dll \
+	plugins/json_get.dll
 
 LIBSRC = adf_kpss.c \
 	bhhh_max.c \
@@ -181,6 +196,7 @@
 	gensyntax.c \
         gmm.c \
 	graphing.c \
+	gretl_array.c \
 	gretl_bfgs.c \
 	gretl_bundle.c \
 	gretl_commands.c \
@@ -193,11 +209,13 @@
 	gretl_list.c \
 	gretl_matrix.c \
 	gretl_model.c \
+	gretl_normal.c \
 	gretl_panel.c \
 	gretl_paths.c \
 	gretl_prn.c \
 	gretl_restrict.c \
 	gretl_string_table.c \
+	gretl_typemap.c \
 	gretl_untar.c \
 	gretl_utils.c \
 	gretl_win32.c \
@@ -235,6 +253,10 @@
 	varprint.c \
 	vartest.c \
 	irfboot.c
+
+ifeq ($(have_mpi),yes)
+  LIBSRC += gretl_mpi.c
+endif
 
 LIBOBJ = $(LIBSRC:.c=.o)
 
@@ -306,6 +328,9 @@
 	qrfac.c qrsolv.c lbfgsb.c
 MINOBJ = $(MINSRC:.c=.o)
 
+DCMTSRC = check32.c eqdeg.c genmtrand.c mt19937.c prescr.c seive.c
+DCMTOBJ = $(DCMTSRC:.c=.o)
+
 OBJS = $(LIBOBJ) $(CLIOBJ) $(GUIOBJ) $(PLUGINOBJ)
 
 MOFILES = mo/de.po mo/el.mo mo/es.mo mo/eu.mo mo/fr.mo mo/it.mo mo/pl.mo \
@@ -318,10 +343,13 @@
 # targets begin
 
 all: buildstamp dirs dlls/libprob.dll dlls/libgretl.dll \
-	$(PLUGINS) gretlcli.exe gretl.exe $(MOFILES) $(GRETL_LANG) gretl_updater.exe
+	$(PLUGINS) gretlcli.exe gretl.exe $(MPICLI) $(MOFILES) $(GRETL_LANG) $(GRETL_NEWS)
 
 gretlcli.exe: $(CLIOBJ)
-	$(CC) -o $@ $^ $(LIBS) $(CLI_LIBS) -lz -lmingwex -s
+	$(CC) -o $@ $^ $(LIBS) $(RL_LIBS) -lz -lmingwex -s
+
+gretlmpi.exe: gretlcli-mpi.o
+	$(CC) -o $@ $< $(MPI_LIB) $(LIBS) -lz -lmingwex -s
 
 gretl.exe: $(GUIOBJ) gretlres.o
 	$(CC) -mwindows -o $@ $^ $(LIBS) $(GUI_LIBS) -lz -lmingwex -s
@@ -332,22 +360,28 @@
 cross_lang: $(libsrcdir)/options.c $(libsrcdir)/genlex.c $(libsrcdir)/gretl_commands.c
 	HERE=$$PWD ; cd $(host_builddir)/gui2 && make mklang && ./mklang > $$HERE/gretl.lang ; cd $$HERE
 
+cross_news: $(topsrc)/ChangeLog
+	HERE=$$PWD ; cd $(host_builddir)/gui2 && make mknews && cd $$HERE && $(topsrc)/build/gui2/mknews $< > NEWS
+
 mklang.o: mklang.c $(libsrcdir)/options.c $(libsrcdir)/genlex.c $(libsrcdir)/gretl_commands.c
 	$(CC) -c -I. -I$(libsrcdir) -I$(XML2_INC) $<
 
 mklang.exe: mklang.o
 	$(CC) -o $@ $< $(GRETLLIB) -lxml2.dll -lz
 
+mknews.exe: mknews.c
+	$(CC) -o $@ $<
+
 native_lang: mklang.exe
 	PATH=/bin:./dlls:/mingw/winbuild/misc-dll ./mklang.exe > gretl.lang
 
-gretl_updater.exe:
-	make -C updater
+native_news: mknews.exe
+	./mknews.exe $(topsrc)/ChangeLog > NEWS
 
 $(MOFILES):
 	make -C mo
 
-dlls/libgretl.dll: $(LIBOBJ) $(MINOBJ) dllinit.o
+dlls/libgretl.dll: $(LIBOBJ) $(MINOBJ) $(DCMTOBJ) dllinit.o
 	$(DLLWRAP) $(DLLWRAP_FLAGS) \
 	--output-def libgretl.def --implib $(imports)/libgretl.a \
 	-o $@ $^ -lm -L$(imports) -lxml2.dll -lz -lintl -lprob -lgmp.dll \
@@ -438,22 +472,3 @@
 	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB)
 
 plugins/mp_ols.dll: mp_ols.o dllinit.o 
-	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
-	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) -lmpfr.dll -lgmp.dll
-
-plugins/sysest.dll: sysest.o fiml.o liml.o dllinit.o
-	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
-	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) $(LAPACK_LIBS)
-
-plugins/johansen.dll: johansen.o jrestrict.o jalpha.o dllinit.o
-	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
-	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) $(LAPACK_LIBS)
-
-plugins/leverage.dll: leverage.o dllinit.o
-	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
-	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) $(GTKLIBS) $(LAPACK_LIBS)
-
-plugins/pca.dll: pca.o dllinit.o
-	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
-	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB) $(GTKLIBS) $(LAPACK_LIBS)
-
