=== debian/changelog ===
gretl (1.9.91-1) unstable; urgency=low

  * New upstream released
  
  * debian/control: Added 'libjson-glib-dev' to Build-Depends

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 28 Jul 2014 19:13:24 -0500

gretl (1.9.90-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 03 May 2014 07:31:28 -0500

gretl (1.9.14.1-1) unstable; urgency=low

  * cli/complete.c: Apply one-line patch for compilation under current
    readline, with thanks to upstream for the patch. 	(Closes: #741767)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 18 Mar 2014 12:07:08 -0500
