## gretl 1.9.92

=== win32/Makefile ===
--- 
+++ 
@@ -206,6 +206,7 @@
 	gretl_foreign.c \
 	gretl_func.c \
 	gretl_intl.c \
+	gretl_help.c \
 	gretl_list.c \
 	gretl_matrix.c \
 	gretl_model.c \
@@ -471,4 +472,3 @@
 	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
 	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB)
 
-plugins/mp_ols.dll: mp_ols.o dllinit.o
