=== debian/changelog ===
gretl (1.9.92-1) unstable; urgency=low

  * New upstream release

  * debian/control: Set Standard-Version: to current value

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 20 Sep 2014 12:06:46 -0500
