=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: math
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Build-Depends: debhelper (>= 7.0.0), libgtk2.0-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot (>= 4.2), gnuplot-x11 (>= 4.2), libgmp-dev, libaudiofile-dev, libesd0-dev, libfreetype6-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, gfortran, r-base-dev, unixodbc-dev, libgtksourceview2.0-dev, libcurl4-gnutls-dev | libcurl4-dev, autotools-dev, libjson-glib-dev
 
 Package: gretl
