## gretl 1.10.1

=== win32/Makefile ===
--- 
+++ 
@@ -213,6 +213,7 @@
 	gretl_normal.c \
 	gretl_panel.c \
 	gretl_paths.c \
+	gretl_plot.c \
 	gretl_prn.c \
 	gretl_restrict.c \
 	gretl_string_table.c \
