=== debian/changelog ===
gretl (1.10.1-2) unstable; urgency=low

  * debian/rules: Added '--disable-avx' following suggestion by Allin;
    also removed a few unused configure switches due to older versions

 -- Dirk Eddelbuettel <edd@debian.org>  Thu, 09 Apr 2015 11:16:11 -0500

gretl (1.10.1-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 08 Apr 2015 22:16:35 -0500
