## gretl 2016a

=== win32/Makefile ===
--- 
+++ 
@@ -85,6 +85,7 @@
 	gnumeric_import.c \
 	eviews_import.c \
 	stata_import.c \
+	stata_export.c \
 	spss_import.c \
 	sas_import.c \
 	jmulti_import.c \
@@ -141,6 +142,7 @@
 	plugins/sas_import.dll \
 	plugins/jmulti_import.dll \
 	plugins/ods_import.dll \
+	plugins/stata_export.dll \
 	plugins/mp_ols.dll \
 	plugins/sysest.dll \
 	plugins/johansen.dll \
@@ -281,6 +283,7 @@
 	filters.c \
 	fncall.c \
 	fnsave.c \
+	gfn_arglists.c \
 	gpt_control.c \
 	gpt_dialog.c \
 	graphics.c \
@@ -461,15 +464,12 @@
 	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
 	--implib plugins/$(<:.o=.a) $^ $(GLIBLIB) $(GRETLLIB)
 
+plugins/stata_export.dll: stata_export.o dllinit.o
+	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
+	--implib plugins/$(<:.o=.a) $^ $(GLIBLIB) $(GRETLLIB)
+
 plugins/spss_import.dll: spss_import.o dllinit.o
 	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
 	--implib plugins/$(<:.o=.a) $^ $(GLIBLIB) $(GRETLLIB)
 
 plugins/sas_import.dll: sas_import.o dllinit.o
-	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
-	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB)
-
-plugins/jmulti_import.dll: jmulti_import.o dllinit.o
-	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
-	--implib plugins/$(<:.o=.a) $^ $(GRETLLIB)
-
