=== debian/changelog ===
gretl (2016a-1) unstable; urgency=low

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 26 Jan 2016 19:28:45 -0600

gretl (2015d-1) unstable; urgency=low

  * New upstream release (under new versioning scheme)

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 17 Nov 2015 06:47:37 -0600

gretl (1.10.2-1) unstable; urgency=low

  * debian/control: Added Homepage: field		(Closes: #782036)

  * debian/watch: Updated regular expression
  
 -- Dirk Eddelbuettel <edd@debian.org>  Fri, 18 Sep 2015 22:47:45 -0500
