=== debian/rules ===
--- 
+++ 
@@ -39,10 +39,7 @@
 	dh_autotools-dev_updateconfig
 	DISPLAY="foo" 					\
 	./configure	--prefix=/usr			\
-			--with-gnome-install=/usr	\
-			--without-gnome			\
 			--with-mpfr 			\
-			--without-gtksourceview		\
 			--with-x-12-arima		\
 			--with-tramo-seats		\
 			--with-libR			\
@@ -52,6 +49,7 @@
 			--enable-gtk2			\
 			--disable-rpath			\
 			--disable-sse2			\
+			--disable-avx			\
 			--disable-xdg-utils		\
 			--build $(arch)
 	touch configure-stamp
