## gretl 2016c

=== win32/Makefile ===
--- 
+++ 
@@ -29,7 +29,7 @@
 GLIBLIB := $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs glib-2.0)
 JSON_LIB = $(shell PKG_CONFIG_PATH=$(PKG_CONFIG_PATH) pkg-config --libs json-glib-1.0)
 RL_LIBS = -lreadline -lhistory
-GUI_LIBS = -lwsock32 -lole32 $(GTKLIBS) -lgtksourceview-2.0 -lxml2.dll -L$(imports)
+GUI_LIBS = -lwsock32 -lole32 -lshlwapi $(GTKLIBS) -lgtksourceview-2.0 -lxml2.dll -L$(imports)
 GRETLLIB = -L$(imports) -lgretl -lintl
 LIBS = -lm $(GRETLLIB) -ladvapi32
 FFTW_LIBS = -lfftw3
@@ -295,6 +295,7 @@
 	gui_recode.c \
 	gui_utils.c \
 	helpfiles.c \
+	join-gui.c \
 	lagpref.c \
 	library.c \
 	menustate.c \
