=== debian/changelog ===
gretl (2016c-2build1) yakkety; urgency=medium

  * No-change rebuild for readline soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Sep 2016 12:03:39 +0000

gretl (2016c-2) unstable; urgency=medium

  * debian/patches/reproducible_build.patch: Added patch kindly supplied
    by Chris Lamb to help with reproducible builds	(Closes: #831044)

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 13 Jul 2016 21:05:08 -0500

gretl (2016c-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standard-Version: to current value

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 09 Jul 2016 18:05:57 -0500

gretl (2016b-3) unstable; urgency=medium

  * debian/control: Revert Build-Depends: to gnulot-x11 per request of Anton

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 14 Jun 2016 19:43:58 -0500

gretl (2016b-2) unstable; urgency=medium

  * debian/control: Update Build-Depends: to gnulot5-x11 (Closes: #825306)

  * debian/control: Set Standard-Version: to current value

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 25 May 2016 19:28:34 -0500

gretl (2016b-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 20 Apr 2016 21:02:28 -0500
