=== debian/changelog ===
gretl (2016d-1) unstable; urgency=medium

  * New upstream release

  * debian/patches/series: Removed entry for reproducible_build.patch by
    Chris which has been integrated upstream
    
 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 19 Nov 2016 13:50:50 -0600
