## gretl 2017c

=== win32/Makefile ===
--- 
+++ 
@@ -172,7 +172,8 @@
 	plugins/biprobit.dll \
 	plugins/reprobit.dll \
 	plugins/panurc.dll \
-	plugins/json_get.dll
+	plugins/json_get.dll \
+	plugins/xml_get.dll
 
 LIBSRC = adf_kpss.c \
 	bhhh_max.c \
@@ -204,7 +205,7 @@
 	gretl_commands.c \
 	gretl_data_io.c \
 	gretl_errors.c \
-	gretl_fft.c \
+	gretl_cmatrix.c \
 	gretl_foreign.c \
 	gretl_func.c \
 	gretl_intl.c \
@@ -474,4 +475,3 @@
 	$(DLLWRAP) $(DLLWRAP_FLAGS) --output-def $(<:.o=.def) -o $@ \
 	--implib plugins/$(<:.o=.a) $^ $(GLIBLIB) $(GRETLLIB)
 
-plugins/sas_import.dll: sas_import.o dllinit.o
