=== debian/changelog ===
gretl (2017c-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Tue, 18 Jul 2017 13:01:12 -0500

gretl (2017b-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 07 Jun 2017 14:56:04 -0500

gretl (2017a-1) unstable; urgency=medium

  * New upstream release

 -- Dirk Eddelbuettel <edd@debian.org>  Sun, 16 Apr 2017 16:15:46 -0500

gretl (2016d-2) unstable; urgency=medium

  * debian/control: Remove (Build-)Depends on 'libaudiofile-dev, libesd0-dev'
    (Closes: #856081)
    
 -- Dirk Eddelbuettel <edd@debian.org>  Wed, 08 Mar 2017 04:29:50 -0600
