=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,6 @@
 	dh_autotools-dev_updateconfig
 	DISPLAY="foo" 					\
 	./configure	--prefix=/usr			\
-			--with-mpfr 			\
 			--with-x-12-arima		\
 			--with-tramo-seats		\
 			--with-libR			\
@@ -61,7 +60,9 @@
 #  --without-gtkextra		
 #
 # edd 12 Mar 2011   cannot buikd wuth this
-#			--disable-sse2			
+#			--disable-sse2
+# edd 11 Jun 2017
+#			--with-mpfr 			
 
 build: build-arch build-indep
 build-arch: build-stamp
@@ -101,7 +102,7 @@
 					usr/share/applications \
 					usr/share/mime-info \
 					usr/share/pixmaps 
-	$(MAKE) prefix=$(debtmp)/usr 			\
+	-$(MAKE) prefix=$(debtmp)/usr 			\
 		gnome_prefix=$(debtmp)/usr 		\
 		mandir=$(debtmp)/usr/share/man		install
 #	(cd gnome && $(MAKE) prefix=$(debtmp)/usr 	\
