## gretl 2017d

=== debian/changelog ===
gretl (2017d-3build1) bionic; urgency=medium

  * No-change rebuild for mpfr soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 24 Jan 2018 21:23:34 +0000

gretl (2017d-3) unstable; urgency=medium

  * debian/rules: No longer set '--enable-gtk2' in configure call
  * debian/control: Update Build-Depends: to libgtk-3-dev and
    libgtksourceview-3.0-dev				(Closes: #885680)

 -- Dirk Eddelbuettel <edd@debian.org>  Sat, 30 Dec 2017 10:42:53 -0600

gretl (2017d-2) unstable; urgency=medium

  * debian/control: Add 'mpi-default-dev, mpi-default-bin, pkg-config' to
    Build-Depends
  * configure: Applied upstream patch

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 27 Nov 2017 17:13:51 -0600

gretl (2017d-1) unstable; urgency=medium

  * New upstream release
  
  * debian/control: Set Standard-Version: to current value

 -- Dirk Eddelbuettel <edd@debian.org>  Mon, 13 Nov 2017 19:36:31 -0600
