=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: math
 Priority: optional
 Maintainer: Dirk Eddelbuettel <edd@debian.org>
-Standards-Version: 3.9.8
-Build-Depends: debhelper (>= 7.0.0), libgtk2.0-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot-x11, libgmp-dev, libfreetype6-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, gfortran, r-base-dev, unixodbc-dev, libgtksourceview2.0-dev, libcurl4-gnutls-dev | libcurl4-dev, autotools-dev, libjson-glib-dev
+Standards-Version: 4.1.1
+Build-Depends: debhelper (>= 7.0.0), libgtk-3-dev, libglib2.0-dev, libreadline-dev, zlib1g-dev, libxml2-dev, gnuplot-x11, libgmp-dev, libfreetype6-dev, libpng-dev, libblas-dev, liblapack-dev, libxslt1-dev, libmpfr-dev, libfftw3-dev, texlive-base, texlive-latex-base, gfortran, r-base-dev, unixodbc-dev, libgtksourceview-3.0-dev, libcurl4-gnutls-dev | libcurl4-dev, autotools-dev, libjson-glib-dev, mpi-default-dev, mpi-default-bin
 Homepage: http://gretl.sourceforge.net/
 
 Package: gretl
