=== debian/rules ===
--- 
+++ 
@@ -43,9 +43,9 @@
 			--with-tramo-seats		\
 			--with-libR			\
 			--with-odbc			\
+			--with-mpi           		\
 			--enable-static			\
 			--enable-shared			\
-			--enable-gtk2			\
 			--disable-rpath			\
 			--disable-sse2			\
 			--disable-avx			\
